using System.Windows.Controls;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows;
using System;
using Telerik.Windows.Controls.Map;
using Telerik.Windows.Controls;

namespace Demo.RadMap.UI.Tools
{
    public class ZoomTool : BaseMapTool
    {
        public override void Connect(Telerik.Windows.Controls.RadMap map)
        {
            base.Connect(map);
            map.MouseDragMode = MouseDragBehavior.Select;
        }

        public override void Disconnect(Telerik.Windows.Controls.RadMap map)
        {
            map.MouseDragMode = MouseDragBehavior.Drag;
            base.Disconnect(map);
        }
    }
}
